Quassel IRC - Bug #747

[PATCH] Cleanup unused CoreSessions
07/22/2009 12:04 PM - seezer

Status: New Start date: 07/22/2009
Priority: Normal Due date:

Assignee: % Done: 90%
Category: Quassel Core Estimated time: 0.00 hour
Target version: Some future release

Version: 0.5.0 0S: Any
Description

The attached patch detects if a CoreSession isn't of any use, deletes it and prevents it from beeing started automatically at next core
startup.

A session is assumed useless if it has no clients attached and any irc network has been disconnected deliberately.

Until now, quasselcore starts a new thread for every user that once had a usefull session.

Related issues:
Related to Quassel IRC - Feature #909: Provide --del-user argument New 02/07/2010

History

#1 - 08/11/2010 10:10 PM - johu
- Version changed from 0.5-pre to 0.5.0

where are the remaining 10%? Is there something new or it is already done?
#2 - 08/14/2010 05:44 PM - seezer
johu wrote:
where are the remaining 10%? Is there something new or it is already done?
One of those things rotting in the bugtracker. It would have been merged in the time between featurefreeze and final release of 0.5.
lirc some other core work produced merge conflicts by that time and i didn't want to introduce last-minute-core-bugs because the patch didn't get
broad testing and i didn't receive any feedback. So i voted for skipping that patch for 0.5.
Since then | didn't look into that anymore. The problem still exists afaik.
As i still use a core with a series of patches on top of upstream, it's sometimes a bit messy to keep single patches like the above in my private core

until it will or will not be merged some unpredictable time in the future :)
| hope to get some more quassel-time in a few weeks. If anyone is interested in that patch i could look into it again.

#3 - 02/18/2012 02:51 PM - Anonymous

- Target version set to Some future release

Patch needs a bit of updating (some stuff moved in the headers). Seems to be useful still though.

#4 - 05/30/2015 01:44 PM - seezer

- Assignee deleted (seezer)

bitrot

Files

0001-Detect-and-kill-unused-CoreSessions.patch 4.62 KB 07/22/2009 seezer
